### File

`src/services/fsdatepickercommon.service.ts`

### Index

###### Methods
createMoment formatDateTime formatDateTimeRange formatSummary getMomentSafe getSelected inputClick isSameDay positionDialog

### Constructor

`constructor()`

### Methods

createMoment
`createMoment()`
Returns : `any`

formatDateTime
`formatDateTime(value: , view: string)`
Parameters :
Name | Type | Optional | Default value | Description
value |  | no | `` |
view | `string` | no | `'date'` |
Returns : `string`

formatDateTimeRange
`formatDateTimeRange(value: , view: string)`
Parameters :
Name | Type | Optional | Default value | Description
value |  | no | `` |
view | `string` | no | `'date'` |
Returns : `any`

formatSummary
`formatSummary(date: , view: string)`
Parameters :
Name | Type | Optional | Default value | Description
date |  | no | `` |
view | `string` | no | `'date'` |
Returns : `any`

getMomentSafe
`getMomentSafe(date: )`
Parameters :
Name | Type | Optional | Default value | Description
date |  | no | `` |
Returns : `any`

getSelected
`getSelected(date: )`
Parameters :
Name | Type | Optional | Default value | Description
date |  | no | `` |
Returns : `{}`

inputClick
`inputClick(e: , callback: )`
Parameters :
Name | Type | Optional | Default value | Description
e |  | no | `` |
callback |  | no | `` |
Returns : `void`

isSameDay
`isSameDay(startDate: , endDate: )`
Parameters :
Name | Type | Optional | Default value | Description
startDate |  | no | `` |
endDate |  | no | `` |
Returns : `boolean`

positionDialog
`positionDialog(dialog: , elementRef: )`
Parameters :
Name | Type | Optional | Default value | Description
dialog |  | no | `` |
elementRef |  | no | `` |
Returns : `void`

# results matching ""

# No results matching ""